#include "K40ProjectileAbility.h"
#include "Net/UnrealNetwork.h"

class AActor;

void UK40ProjectileAbility::OnRep_SurvivorSelfAttacherComponent()
{

}

void UK40ProjectileAbility::OnRep_SurvivorOtherAttacherComponent()
{

}

void UK40ProjectileAbility::OnRep_AttachedProjectileActor(AActor* oldActorWithAttachedProjectile)
{

}

void UK40ProjectileAbility::Multicast_Cheat_UseProjectileTerrorRadius_Implementation(const bool isUsingProjectileTerrorRadius)
{

}

void UK40ProjectileAbility::Multicast_Cheat_UseProjectileTeleportThroughDoor_Implementation(const bool isUsingProjectileTeleportThroughDoor)
{

}

void UK40ProjectileAbility::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UK40ProjectileAbility, _survivorSelfAttacherComponent);
	DOREPLIFETIME(UK40ProjectileAbility, _survivorOtherAttacherComponent);
	DOREPLIFETIME(UK40ProjectileAbility, _actorWithAttachedProjectile);
	DOREPLIFETIME(UK40ProjectileAbility, _isAttachedProjectileSurvivorInRange);
}

UK40ProjectileAbility::UK40ProjectileAbility()
{
	this->_blindnessProtectionStatusEffectClass = NULL;
	this->_removeAttachedProjectileSelfInteractionClass = NULL;
	this->_removeAttachedProjectileOtherInteractionClass = NULL;
	this->_pickupAttachedProjectileInteractionClass = NULL;
	this->_recallProjectileInteractionClass = NULL;
	this->_environmentAttachedProjectileClass = NULL;
	this->_survivorAttachedProjectileClass = NULL;
	this->_isAttachedProjectileSurvivorInRange = false;
}
